// Shadertoy default Shader ; Gtr 2020
//

uniform sampler2D ColorTexture;

uniform float timer;

#define iTime timer
#define iResolution b3d_Texcoord0

void mainImage( out vec4 fragColor, in vec2 fragCoord )
{
    // Normalized pixel coordinates (from 0 to 1)
    vec2 uv = fragCoord/iResolution.xy;

    // Time varying pixel color
    vec3 col = 0.5 + 0.5*cos(iTime+uv.xyx+vec3(0,2,4));

    // Output to screen
    fragColor = vec4(col,1.0);
}


void shader(){
 
	mainImage(b3d_FragColor, b3d_Texcoord0.xy);
		 
}
